Unit MBUtils;

{$C Demandload Discardable}
{
********************************************************************
*               MB Utilities - Message Box Utilities               *
********************************************************************
*       Copyright 1991 Robert Salesas, All Rights Reserved         *
********************************************************************
*      Version: 1.00             Author:  Robert Salesas           *
*      Date:    27-June-1991     Changes: Original                 *
*                                                                  *
********************************************************************
}



Interface


Uses WinTypes;


Const
  mbu_MaxBufferSize = 512;


  Procedure MBWriteStr(S : String);
{ Adds a Pascal-style string to the window. }

  Procedure MBWriteBuf(P : PChar);
{ Adds a null-terminated string to the window. }

  Procedure MBWriteLn;
{ Adds a linefeed to the window. }

  Procedure MBClear;
{ Clears all the text in window. }

  Function MBShowWindow(Wnd : HWnd;  Title : PChar;  TextType : Word) : Integer;
{ Displays the window. }



Implementation

Uses WinProcs, Strings;


Const
  MBBuffer : Array [0..mbu_MaxBufferSize] Of Char = #0;



  Procedure MBWriteStr(S : String);
  Var
    Temp : Array [0..SizeOf(String)] Of Char;
  Begin
    StrPCopy(Temp, S);
    StrLCat(MBBuffer, Temp, mbu_MaxBufferSize);
  End; {MBWriteStr}


  Procedure MBWriteBuf(P : PChar);
  Begin
    StrLCat(MBBuffer, P, mbu_MaxBufferSize);
  End; {MBWriteBuf}


  Procedure MBWriteLn;
  Begin
    StrLCat(MBBuffer, #10, mbu_MaxBufferSize);
  End; {MBWriteLn}


  Procedure MBClear;
  Begin
    MBBuffer[0] := #0;
  End; {MBClear}


  Function MBShowWindow(Wnd : HWnd;  Title : PChar;  TextType : Word) : Integer;
  Begin
    MBShowWindow := MessageBox(Wnd, MBBuffer, Title, TextType);
  End; {MBDisplay}


End. {MBUtils}